org.apache.maven.artifact.resolver

## Class CyclicDependencyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.artifact.resolver.ArtifactResolutionException
        - - org.apache.maven.artifact.resolver.CyclicDependencyException

- All Implemented Interfaces:
    java.io.Serializable

      public class CyclicDependencyException
      extends ArtifactResolutionException

  Indiciates a cycle in the dependency graph.
  Version:
    $Id: CyclicDependencyException.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CyclicDependencyException(java.lang.String message, Artifact artifact)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Artifact` | `getArtifact()`

    - ### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

      `constructArtifactPath, constructMissingArtifactMessage, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CyclicDependencyException

          public CyclicDependencyException(java.lang.String message,
                                   Artifact artifact)

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Overrides:
        `getArtifact` in class `AbstractArtifactResolutionException`